Terminate a Reader Checkout

POST/v0.1/merchants/{merchant_code}/readers/{reader_id}/terminate

Terminate a Reader Checkout stops the current transaction on the target device.

This process is asynchronous and the actual termination may take some time to be performed on the device.

There are some caveats when using this endpoint:

  • The target device must be online, otherwise terminate won't be accepted
  • The action will succeed only if the device is waiting for cardholder action: e.g: waiting for card, waiting for PIN, etc.
  • There is no confirmation of the termination.

If a transaction is successfully terminated and return_url was provided on Checkout, the transaction status will be sent as failed to the provided URL.

Note: If the target device is a Solo, it must be in version 3.3.28.0 or higher.

OAuth scopes: Requires one of: readers.write.

Required permissions:

  • readers.checkouts.delete

Authorization

Use one of the following alternatives:

  • apiKey
  • oauth2 with scopes readers.write
Authorization guide

Path parameters

Body parameters

application/jsonoptional

A checkout initial attributes

    Responses

    202application/json

    The Terminate action was successfully dispatched for the given reader.

      400application/json

      Response when given params (or one of them) are invalid

      • errorsobjectrequired
        Show 2 properties
        • typestringrequired

          Error code

        • detailstring

          Error message

      application/problem+json

      • typestringrequired
        format: uri

        A URI reference that identifies the problem type.

        Example: "https://developer.sumup.com/problem/not-found"

      • titlestring

        A short, human-readable summary of the problem type.

        Example: "Requested resource couldn't be found."

      • statusinteger

        The HTTP status code generated by the origin server for this occurrence of the problem.

        Example: 404

      • detailstring

        A human-readable explanation specific to this occurrence of the problem.

        Example: "The requested resource doesn't exist or does not belong to you."

      • instancestring
        format: uri

        A URI reference that identifies the specific occurrence of the problem.

      {
        "detail": "Bad Request",
        "status": 400,
        "title": "Bad Request",
        "type": "https://developer.sumup.com/problem/bad-request"
      }
      401application/json

      Unauthorized

      • errorsobjectrequired
        Show 2 properties
        • typestringrequired

          Error code

        • detailstring

          Error message

      application/problem+json

      • typestringrequired
        format: uri

        A URI reference that identifies the problem type.

        Example: "https://developer.sumup.com/problem/not-found"

      • titlestring

        A short, human-readable summary of the problem type.

        Example: "Requested resource couldn't be found."

      • statusinteger

        The HTTP status code generated by the origin server for this occurrence of the problem.

        Example: 404

      • detailstring

        A human-readable explanation specific to this occurrence of the problem.

        Example: "The requested resource doesn't exist or does not belong to you."

      • instancestring
        format: uri

        A URI reference that identifies the specific occurrence of the problem.

      {
        "detail": "Unauthorized",
        "status": 401,
        "title": "Unauthorized",
        "type": "https://developer.sumup.com/problem/unauthorized"
      }
      404application/json

      Response when given reader is not found

      • errorsobjectrequired
        Show 1 property
        • detailstringrequired

          Fuller message giving context to error

      application/problem+json

      • typestringrequired
        format: uri

        A URI reference that identifies the problem type.

        Example: "https://developer.sumup.com/problem/not-found"

      • titlestring

        A short, human-readable summary of the problem type.

        Example: "Requested resource couldn't be found."

      • statusinteger

        The HTTP status code generated by the origin server for this occurrence of the problem.

        Example: 404

      • detailstring

        A human-readable explanation specific to this occurrence of the problem.

        Example: "The requested resource doesn't exist or does not belong to you."

      • instancestring
        format: uri

        A URI reference that identifies the specific occurrence of the problem.

      {
        "detail": "The requested resource doesn't exist or does not belong to you.",
        "status": 404,
        "title": "Requested resource couldn't be found.",
        "type": "https://developer.sumup.com/problem/not-found"
      }
      422application/json

      Response when given params (or one of them) are invalid

      application/problem+json

      • typestringrequired
        format: uri

        A URI reference that identifies the problem type.

        Example: "https://developer.sumup.com/problem/not-found"

      • titlestring

        A short, human-readable summary of the problem type.

        Example: "Requested resource couldn't be found."

      • statusinteger

        The HTTP status code generated by the origin server for this occurrence of the problem.

        Example: 404

      • detailstring

        A human-readable explanation specific to this occurrence of the problem.

        Example: "The requested resource doesn't exist or does not belong to you."

      • instancestring
        format: uri

        A URI reference that identifies the specific occurrence of the problem.

      {
        "detail": "The device is offline.",
        "status": 422,
        "title": "Reader Offline",
        "type": "https://developer.sumup.com/problem/reader-offline"
      }

      Type to search…